package com.bcxin.tenant.domain.v5.repositories;

import com.bcxin.tenant.domain.v5.entities.TUserEntity;
import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.data.jpa.repository.Query;

import java.util.Collection;
import java.util.Optional;

public interface TUserRepository extends JpaRepository<TUserEntity,String> {
    Collection<TUserEntity> getByDomainId(String domainId);
    Collection<TUserEntity> getByLoginNo(String loginNo);
    TUserEntity getByDomainIdAndLoginNo(String domainId,String loginNo);
}
